Subject: Re: [PATCH] ethernet: e1000e: define lat_ns as u64 instead of s64

From: yjin <[email-masked]>
Date: Tue, 7 Apr 2015 10:35:05 +0800

Hi Jeff,

Thanks for your reminder. I used linux/scripts/get_maintainer.pl to get 
the maintainer list before, next time I will do as you said.

Regards!
Yanjiang

On 2015年04月03日 17:42, Jeff Kirsher wrote:
> On Fri, 2015-04-03 at 17:17 +0800, [email-masked] wrote:
>> From: Yanjiang Jin <[email-masked]>
>>
>> do_div() expects the type of "n" to be uint64_t, define "lat_ns" as
>> u64 to
>> avoid the below warning, also update its correlative operations and
>> data.
>>
>> In file included from ./arch/powerpc/include/asm/div64.h:1:0,
>>                   from include/linux/kernel.h:124,
>>                   from include/linux/list.h:8,
>>                   from include/linux/timer.h:4,
>>                   from drivers/net/ethernet/intel/e1000e/e1000.h:29,
>>                   from drivers/net/ethernet/intel/e1000e/ich8lan.c:59:
>> drivers/net/ethernet/intel/e1000e/ich8lan.c: In function
>> 'e1000_platform_pm_pch_lpt':
>> include/asm-generic/div64.h:43:28: warning: comparison of distinct
>> pointer types lacks a cast [enabled by default]
>>    (void)(((typeof((n)) *)0) == ((uint64_t *)0)); \
>>                              ^
>> drivers/net/ethernet/intel/e1000e/ich8lan.c:1016:4: note: in expansion
>> of macro 'do_div'
>>      do_div(lat_ns, speed);
>>
>> Signed-off-by: Yanjiang Jin <[email-masked]>
>> ---
>>   drivers/net/ethernet/intel/e1000e/ich8lan.c | 8 ++++----
>>   1 file changed, 4 insertions(+), 4 deletions(-)
> Added intel-wired-lan mailing list (used for patches like this)
> Removed LKML ... (wrong mailing list to be mailing for patches like
> this)
> Removed e1000-devel ... (no longer used for kernel patches)
> Removed linux.nics ... (no longer used for kernel patches)
>
> Also removed Intel developers with no interest in e1000e patches ...
>
> Thanks Yanjiang, I will add your patch to my queue.
>